Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gisgraphy.domain.geoloc.service.fulltextsearch
Interface IFullTextSearchEngine

All Superinterfaces:
  IQueryProcessor<FulltextQuery>

All Known Implementing Classes:
  FullTextSearchEngine

    public interface IFullTextSearchEngine

extends IQueryProcessor<FulltextQuery>

Execute a FulltextQuery and returns the results in a specific format

Author:
  David Masclet
See Also:
  `FulltextQuery`

Method Summary
`FulltextResultsDto` | `executeQuery(FulltextQuery query)` Execute the query and returns a list of DTO
`java.util.List<? extends GisFeature>` | `executeQueryToDatabaseObjects(FulltextQuery query)` Execute the query and returns the Java Objects
`java.lang.String` | `getURL()`
`boolean` | `isAlive()`

Methods inherited from interface com.gisgraphy.domain.geoloc.service.IQueryProcessor
`executeAndSerialize, executeQueryToString`

Method Detail

### executeQueryToDatabaseObjects

    java.util.List<? extends GisFeature> executeQueryToDatabaseObjects(FulltextQuery query)
                                                                       throws ServiceException

  Execute the query and returns the Java Objects

  Parameters:
    `query` - The FulltextQuery to execute
  Returns:
    The proxied hibernate Java Objects. Never return null but an empty list
  Throws:
    `ServiceException` - If an error occurred

### executeQuery

    FulltextResultsDto executeQuery(FulltextQuery query)
                                    throws ServiceException

  Execute the query and returns a list of DTO

  Parameters:
    `query` - The FulltextQuery to execute
  Returns:
    a DTO for the results. note : The list of results will never be null but an empty list
  Throws:
    `ServiceException` - If an error occurred

### isAlive

    boolean isAlive()

  Returns:
    true if the fulltextsearchengine is alive, otherwise return false;

### getURL

    java.lang.String getURL()

  Returns:
    the url of the fulltextsearch engine

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009. All Rights Reserved.